<template>
    <div id="app">
        <NavigationCheckout />
        <div class="columns">
            <div class="column is-8 is-offset-2 is-steps">
                <b-steps v-model="activeStep" :has-navigation="false" mobile-mode="compact">
                    <template v-for="(step, index) in steps">
                        <b-step-item
                            v-if="step.displayed"
                            :label="step.label"
                            :key="index"
                            :visible="step.visible"
                            :step="index+1"
                        >
                        </b-step-item>
                    </template>
                </b-steps>
            </div>
        </div>
        <nuxt />
    </div>
</template>

<script>
import NavigationCheckout from '@/layouts/partials/NavigationCheckout'
export default {
    name: 'layout-checkout',
    components: {
        NavigationCheckout
    },
    data() {
        return {
            activeStep: 1,
            hasNavigation: false
        }
    },
    computed: {
        baseSteps() {
            return [
                {
                    label: 'Cart',
                    content: 'Carrinho',
                    displayed: true,
                },
                {
                    label: 'Checkout',
                    content: 'Endereço e pagamento',
                    displayed: true
                },
                {
                    label: 'Order',
                    content: 'Review do pedido',
                    displayed: true,
                },
            ]
        },
        steps() {
            const steps = [...this.baseSteps]

            return steps
        },
    },
    watch: {
        activeStep() {
            switch(this.activeStep) {
                case 0 : 
                    this.$router.push('cart')
                    break
                case 1 :
                    this.$router.push('checkout')
                    break

            }
        }
    }
}
</script>

<style scoped>
    .is-steps {
        margin: 1rem 0 -2rem;
    }
</style>